Bug 85949 - black & white GRUB screen, then kernel panics on boot
black & white GRUB screen, then kernel panics on boot
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-03-11 08:11 EST by Andrew
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 16:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew 2003-03-11 08:11:56 EST
Description of problem:

Tecra 8100 PIII850 w/ 512MB RAM, 20GB.  Configured to dual boot with WinXP, 
Phoebe 8.0.93 

and RH8.0.
Suddenly (after reboot) started getting black and white grub splash menu 
instead of the Red 

Hat color image, then on boot, after loading the IDE drivers:

hda: IBM-DJSA-220, ATA DISK drive
blk: queue c03c9f40, I/O limit 4095Mb (mask 0xffffffff)
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
Unable to handle kernel NULL pointer dereference at virtual address 00000071
 printing eip:
*pde = 00000000
Oops: 0002

CPU:    0
EIP:    0060:[c0118be9]    Not tainted
EFLAGS: 00010092

EIP is at schedule [kernel] 0x119 (2.4.20-2.54)
Process swapper (pid: 1, stackpage=c23a5000)
 <0>Kernel panic: Attempted to kill init!

That's all she wrote.

I did manage to get it to boot a few times, but only when the color grub splash 
screen comes 

up.  Kernel 2.4.18-14 (stock RedHat 8.0) panics with the same "Attempted to 
kill init!" 

message; both installs share the /boot mountpoint.
Booting from the Phoebe 8.0.93 CD (2.4.20-2.21BOOT) panics:
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing


 <0>Kernel panic: Attempted to kill the idle task!
In idle task - not syncing

Booting Red Hat 8.0 from boot.img:

RAMDISK: Compressed image found at block 0
invalid compressed format (err=1)<6>Freeing initrd memory: 506k freed
EXT2-fs: unable to read superblock
cramfs: wrong magic
FAT: unable to read boot sector
isofs_read_super: bread failed, dev=9:02, iso_blknum=16, block=32
Kernel panic: VFS: Unable to mount root fs on 09:02

I've even tried updating the BIOS to 2.50...no luck.

I can boot to a DOS boot floppy, but PartitionMagic 8.0 crashes; Ghost 2003 
works, reads 

partitions, and even backs up to USB - but in DOS.

Based on bootup of another Toshiba laptop running Phoebe 8.0.93, it looks like 
the panic 

occurs when switching to *protected mode*.
Would make sense, because Partition Magic uses a protected mode runtime 

termed a "DOS Extender".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot from media (HDD,CD,floppy)
2.  Select kernel
3.  Kernel panics!
Actual results:

Expected results:

Additional info:
System was fine for months.  Rebooted and then started getting a black and 
white GRUB screen 

intermittently for a couple minutes.  After two subsequent successful boots, 
GRUB is only in 

black and white now.
Comment 1 Alan Cox 2003-06-08 16:14:28 EDT
Closing - old beta bug. If this happens on Red Hat 9 please re-open of course!

Note You need to log in before you can comment on or make changes to this bug.